
#ifndef WPSpecialNeeds_Source
#define WPSpecialNeeds_Source

#include <wpabs.hh>
#pragma off(dts_class);
#pragma on(somobject_assignment_operators);
#pragma on(somobject_constructors);
#pragma on(somobject_destructor);
#pragma off(case_insensitive_class_names);

#pragma on(som_bindings);
class WPSpecialNeeds : public WPAbstract {

     #pragma SOMMap (WPSpecialNeeds, "WPSpecialNeeds", "M_WPSpecialNeeds")

     #pragma SOMClassVersion (WPSpecialNeeds, 1, 2)

     #pragma SOMCallstyle (WPSpecialNeeds, oidl)

     #pragma off(som_bindings);
     #pragma pop(som_bindings);
  public :

#pragma off(use_override_signature)
     virtual ULONG wpFilterPopupMenu(ULONG ulFlags, HWND hwndCnr,
                                     BOOL fMultiSelect);
#pragma pop(use_override_signature)

     #pragma SOMReleaseOrder ()

};
#pragma pop(som_bindings);

#pragma pop(dts_class);
#pragma pop(somobject_assignment_operators);
#pragma pop(somobject_constructors);
#pragma pop(somobject_destructor);
#pragma pop(case_insensitive_class_names);
#endif /* WPSpecialNeeds_Source */

#ifndef M_WPSpecialNeeds_Source
#define M_WPSpecialNeeds_Source

#include <wpabs.hh>
#include <somcls.hh>
#pragma off(dts_class);
#pragma on(somobject_assignment_operators);
#pragma on(somobject_constructors);
#pragma on(somobject_destructor);
#pragma off(case_insensitive_class_names);

#pragma on(som_bindings);
class M_WPSpecialNeeds : public M_WPAbstract {

     #pragma SOMClassVersion (M_WPSpecialNeeds, 1, 2)

     #pragma SOMCallstyle (M_WPSpecialNeeds, oidl)

     #pragma off(som_bindings);
     #pragma pop(som_bindings);
  public :

#pragma off(use_override_signature)
     virtual ULONG wpclsQueryIconData(PICONINFO pIconInfo);
     virtual BOOL wpclsQueryDefaultHelp(PULONG pHelpPanelId,
                                        PSZ pszHelpLibrary);
     virtual PSZ wpclsQueryTitle();
#pragma pop(use_override_signature)

     #pragma SOMReleaseOrder ()

};
#pragma pop(som_bindings);

#pragma pop(dts_class);
#pragma pop(somobject_assignment_operators);
#pragma pop(somobject_constructors);
#pragma pop(somobject_destructor);
#pragma pop(case_insensitive_class_names);
#endif /* M_WPSpecialNeeds_Source */

